: Class ResourceActionEvent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.events
Class ResourceActionEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--org.w3c.jigadmin.events.ResourceActionEvent

public class ResourceActionEvent
extends java.util.EventObject

ActionEvent dedicated to Resource.

See Also:
  Serialized Form

Field Summary
`static int` | `ADD_EVENT`
`static int` | `DELETE_EVENT`
`static int` | `EDIT_EVENT`
`static int` | `REFERENCE_EVENT`
`static int` | `REINDEX_EVENT`
`static int` | `SAVE_EVENT`
`static int` | `STOP_EVENT`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ResourceActionEvent(java.lang.Object source, int command)`

Method Summary
`int` | `getResourceActionCommand()`
`java.lang.String` | `toString()`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DELETE_EVENT

    public static final int DELETE_EVENT

### ADD_EVENT

    public static final int ADD_EVENT

### REINDEX_EVENT

    public static final int REINDEX_EVENT

### SAVE_EVENT

    public static final int SAVE_EVENT

### STOP_EVENT

    public static final int STOP_EVENT

### REFERENCE_EVENT

    public static final int REFERENCE_EVENT

### EDIT_EVENT

    public static final int EDIT_EVENT

Constructor Detail

### ResourceActionEvent

    public ResourceActionEvent(java.lang.Object source,
                               int command)

Method Detail

### getResourceActionCommand

    public int getResourceActionCommand()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.util.EventObject

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD